Returns the feature the current user should be prompted to rate, or 204 if none is currently targeted.
GET
/api/v1/provision/consumer/me/rating-prompt
const url = 'https://example.com/api/v1/provision/consumer/me/rating-prompt';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/consumer/me/rating-promptResponses
Section titled “Responses”The targeted feature and the question to show.
The feature selected for a rating prompt, including the question to show the user.
object
sessionId
string format: uuid
featureId
string format: uuid
featureCode
string
productId
string format: uuid
question
string
The feature selected for a rating prompt, including the question to show the user.
object
sessionId
string format: uuid
featureId
string format: uuid
featureCode
string
productId
string format: uuid
question
string
Examplegenerated
{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "question": "example"}The feature selected for a rating prompt, including the question to show the user.
object
sessionId
string format: uuid
featureId
string format: uuid
featureCode
string
productId
string format: uuid
question
string
Examplegenerated
{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "featureCode": "example", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "question": "example"}No feature is currently targeted for rating.
If the caller lacks the required permission.
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}